package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.TradeAfterSaleLogEntity;
import com.seer.teach.mall.response.AfterSaleLogResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AfterSaleLogConvert {

    AfterSaleLogConvert INSTANCE = Mappers.getMapper(AfterSaleLogConvert.class);

    AfterSaleLogResp toResp(TradeAfterSaleLogEntity tradeAfterSaleLogEntity);

    TradeAfterSaleLogEntity toEntity(AfterSaleLogResp afterSaleLogResp);

    List<AfterSaleLogResp> toRespList(List<TradeAfterSaleLogEntity> tradeAfterSaleLogEntities);
}